Subject: bug#13895: nXhtml - Emacs 24.2.1 warnings

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 12 Jun 2019 16:55:17 +0200

Carlos Carcamo <[email-masked]> writes:

> I looked for information about using emacs for web development and I
> found this "nXhtml - Emacs Utilities for Web Development"
>
> I installed nXhtml and everything seemed to be fine, but when I open a
> file with extention .html, php or  js, I allways got this warnings:
>
>    Warning: `font-lock-beginning-of-syntax-function' is an obsolete variable (as
>         of 23.3); use `syntax-begin-function' instead.
>    Warning: `font-lock-syntactic-keywords' is an obsolete variable (as of 24.1);
>        use `syntax-propertize-function' instead.
>
> I don't know what that means, and I don't know how to fix it.
>
> people says that is a bug, and the warnings are for developers not for
> user, so they recommended to send this bug to this mail.

As far as I can tell, nXhtml (which is probably where these warnings
originated) is no longer maintained, and it was an external package, so
I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no